// CannotFireException.java
//
// ICS 22 / CSE 22 Fall 2012
// Code Example
//
// This is the simplest way to create your own new kind of exception.  In this
// case, we're creating a CannotFireException, which will be thrown by the
// fire() method of the various Weapon classes when the weapon is unable to
// fire, either because it has run out of ammunition, or for some other
// reason.
//
// Note that inheritance is used here.  We say that CannotFireException
// "extends" Exception.  Exception objects are special in Java; what makes
// it possible to throw them is that their classes extend from Exception.
// Exceptions automatically carry useful information with them, such as the
// stack trace that you see when your program crashes because the exception
// is never caught.  By extending all exception types from Exception, we
// guarantee that all exceptions provide this useful information, without
// having to write code over and over again to provide it.


public class CannotFireException extends Exception
{
}
